/**
  *  =======================================================================
  *  SimpleGraph.java: A simple graph with round nodes and straight edges.
  *  =======================================================================
  */

package horstmann.model.simplegraph;

import java.awt.*;
import java.util.*;

import horstmann.model.graph.*;
import horstmann.view.editor.*;

public class SimpleGraph extends Graph {
   public Node[] getNodePrototypes() {
      Node[] nodeTypes = { new CircleNode(Color.BLACK),
                           new CircleNode(Color.WHITE)
         };
      return nodeTypes;
   }

   public Edge[] getEdgePrototypes() {
      Edge[] edgeTypes = { new LineEdge() };
      return edgeTypes;
   }
}




